FOREIGN_GUESS_AND_READ(3)

FUNCTION
foreign_guess_and_read - Guess file type and read.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_guess_and_read

(CONST char *filename, unsigned int mmap_option, flag writable, unsigned int *ftype, ...)

DESCRIPTION
This routine will attempt to guess the filetype of a file and in the file, converting to the Karma data format if possible.

filename
    The name of the file to read.

mmap_option
    This has the same meaning as for the <dsxfr_get_multi> routine.

writable
    This has the same meaning as for the <dsxfr_get_multi> routine.

ftype
    The type of the file that was read in is written here. This may be NULL.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must terminated with FA_GUESS_READ_END. See <-foreign_ATT_GUESS_READ-> for a list of defined attributes.

RETURN VALUE
A pointer to the multi_array data structure on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/